	<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:body id="ideaInputStepThreeModal" class="w3-modal" style="#{ideaInputBean.styleModalThree}">
<h:form id="ideaInputStepThreeForm" enctype="multipart/form-data">
		<div class="w3-modal-content w3-animate-opacity">
				<header class="w3-container w3-blue">
					<h2 id="ideaInputModalHeadline">Deine Idee als Video!</h2>
				</header>
				<div class="w3-container w3-padding-small" style="height:500px;">
						<p>Hier kann ein kurzes Video für die Idee hochgeladen werden (Als .mp4- oder .MOV-Datei). </p>
					<p:fileUpload id="fileUploadVideo"
						fileUploadListener="#{ideaInputBean.uploadVideo}" mode="advanced" auto="true"
						dragDropSupport="true" sizeLimit="50000000"
						allowTypes="/(\.|\/)(mp4|MOV)$/" fileLimit="1" />

				</div>
					<footer class="w3-container w3-grey">
						<div class="w3-bar">
						<!-- TODO Move js to own file -->
							<p:commandButton value="Weiter" id="submitStepThree" styleClass="ui-priority-primary"
							onclick="document.getElementById('ideaInputStepThreeModal').style.display='none'; document.getElementById('ideaInputOverviewModal').style.display='block';   setTimeout(function() {finalMap.invalidateSize(); }, 200);
								allMarkers.clearLayers();
								allMarkers = L.layerGroup();
								var lat = document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lat').value;
								var lng = document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputStepOneForm:lng').value;
								var latlng = L.latLng(lat, lng); marker = new L.Marker(latlng, {draggable:false}); allMarkers.addLayer(marker); finalMap.addLayer(allMarkers);"
							 style="float:right;" actionListener="#{ideaInputBean.ideaInputStepThree}">
							</p:commandButton>

							<p:commandButton value="Abbruch" id="cancelBtnStepThree" type="button"
								onclick="document.getElementById('ideaInputStepThreeModal').style.display='none';">
							</p:commandButton>
						</div>
					</footer>
				</div>
				</h:form>
				</h:body>
			</f:view>